#pragma once

#define kCommandKey		0x37
#define kShiftKey  		0x38
#define kTickleLength	120L // 2 seconds
enum {
	kMenuStrings = 998,
	kDebuggerStrings = 999,
	kUtilityStrings = 997
};

enum { // utility strings
	kPrefName = 1,
	kHelpString
};
typedef struct
{
	Handle			iconSuite;
	Handle			menuStrings;
	Handle			debuggerStrings;
	Handle			utilityStrings;
	unsigned long	lastTicks;
	short			whichString;
} MyGlobals, *MyGlobalPtr, **MyGlobalHandle;


void DoCSDraw(MyGlobalHandle myGlobals, Rect *statusRect, GrafPtr statusPort);
long DoCSBalloonHelp(MyGlobalHandle myGlobals, Rect *statusRect);
long DoCSPeriodic(MyGlobalHandle myGlobals, Rect *statusRect, GrafPtr statusPort);
void DoCSClose(MyGlobalHandle myGlobals);
long DoCSInit(void);
long DoCSClick(MyGlobalHandle myGlobals, Rect *statusRect, GrafPtr statusPort);
Boolean HasDebugger(void);
Boolean Can32Bit(void);
MenuHandle MakePrefsMenu(MyGlobalHandle myGlobals);
Handle GetDetachedStrings(short id);
Boolean IsPressed(unsigned short key);
void DoCSSavePrefs(MyGlobalHandle myGlobals);